%define upstream_name    Net-LDAP-HTMLWidget
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Like FromForm but with Net::LDAP and HTML::Widget
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:	https://cpan.metacpan.org/authors/id/M/MR/MRAMBERG/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(DBIx::Class::HTMLWidget)
BuildArch:      noarch


%description
Something like Class::DBI::FromForm / Class::DBI::FromCGI but using
HTML::Widget for form creation and validation and Net::LDAP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/Net/LDAP/HTMLWidget.pm
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-10.mga9
+ Revision: 1804905
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-9.mga8
+ Revision: 1495921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-8.mga7
+ Revision: 1269923
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1031136
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 934026
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 739222
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 513443
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 370707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 42893
- mageia rebuild
- cleaning spec file
- imported package perl-Net-LDAP-HTMLWidget


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 408966
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-4mdv2009.0
+ Revision: 258053
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-3mdv2009.0
+ Revision: 246152
- rebuild

* Mon Feb 25 2008 Buchan Milne <bgmilne@mandriva.org> 0.07-1mdv2008.1
+ Revision: 174899
- import perl-Net-LDAP-HTMLWidget


* Tue Feb 19 2008 Buchan Milne <bgmilne@mandriva.org> 0.07-1
- Update to 0.07 and introduce in Mandriva

* Thu Jun 28 2007 Dzunani Chavalala <dzunani@staff.telkomsa.net>
- Build version 0.01
